td_bignet(1)

NAME
td_bignet - time-delay network generator for the neural network simulation package SNNS

SYNOPSIS
td_bignet plane-definition ... link-definition ... [ output-file ]
    plane-definition
        defines the several layers of the network. There must be at least two plane definitions, but there might be any number given on the command line. Note, that you might have to define several planes for a single network layer, if you want to define a more complex network connection pattern than just "full-connection". One plane definition takes the form -p f d
            f : number of feature units d : total delay length
    link-definition
        defines the connectivity of the network. There must be at least one link definition, but there might be any number given on the command line. One link definition takes the form -l sp sf sw d tp tf tw
            sp : number of the source plane sf : 1st feature unit in source plane sw : field width in source plane d : delay length in source plane tp : number of the target plane tf : 1st feature unit in target plane tw : field width in target plane

OPTIONS
output-file
    name of the generated network file. Default is "SNNNS_TD_NET.net"

DESCRIPTION
td_bignet can be used to automatically construct neural networks with the topology for time-delay learning. As with ff_bignet(1), the graphical version included in xgui(1) is preferrable if networks are to be constructed manually.

SEE ALSO
The SNNS user manual under the SNNS installation directory or the hypertext manual at http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html snns(1) description of the SNNS package

AUTHOR
Guenter W. Mamier